Bug 483595 - mock --copyin fails when copying to system directory inside chroot
mock --copyin fails when copying to system directory inside chroot
Product: Fedora
Classification: Fedora
Component: mock (Show other bugs)
All Linux
low Severity medium
: ---
: ---
Assigned To: Clark Williams
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2009-02-02 10:37 EST by Clark Williams
Modified: 2013-01-10 00:02 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-02-05 18:23:27 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Clark Williams 2009-02-02 10:37:33 EST
Description of problem:
The command:
   mock -r fedora-rawhide-x86_64 --copyin /etc/hosts /etc/hosts
fails with a permissions errror. 

Version-Release number of selected component (if applicable):
Rawhide and F10

How reproducible:

Steps to Reproduce:
1. Initialize a chroot (e.g. mock -r fedora-rawhide-x86_64 --init)
2. Try to copy something to /etc in the chroot using --copyin
3. Get permission denyed error
Actual results:
Permission denied

Expected results:
Successful copy of file into chroot

Additional info:
This is probably because of the --copyin command dropping privileges before doing the copy. we need to determine if we should keep privleges for copyin operations
Comment 1 Clark Williams 2009-02-05 18:23:27 EST
removed privilege drop from --copyin logic in 0.9.14-1

Note You need to log in before you can comment on or make changes to this bug.